## HUAWEI Awareness Kit Sample Code

## Contents

- Overview
- Running Environment
- Sample Code
- License

## Overview

```
The sample code shows how to use the Capture API and Barrier API of HUAWEI Awareness Kit for quick integration.
```

## Running Environment

```
Android Studio and JDK 1.8 are used for coding.

To run the app generated by the sample code on a mobile phone, you need to use a mobile phone meeting the following requirements: the EMUI version is 9.1 or later or the Magic UI version is 2.1 or later; the chip version is Kirin 810, Kirin 980, Kirin 990, or later.
```

## Sample Code

```
The HUAWEI Awareness Kit sample code includes Capture and Barrier API sample code.

Capabilities called by the Capture API are as follows:

1. getTimeCategories(): The getTimeCategories() API requires the ACCESS_FINE_LOCATION permission. This API can be used to obtain the semantic information about the current time of the user location.

2. getHeadsetStatus(): The getHeadsetStatus() API is used to obtain the headset connection status.

Capabilities called by the Barrier API are as follows:

1. HeadsetBarrier.connecting(): The HeadsetBarrier.connecting() API is used to create a headset barrier. When a headset is connected, the barrier status changes to true for about 5 seconds.

2. BehaviorBarrier.keeping(): The BehaviorBarrier.keeping() API requires the activity recognition permission ACTIVITY_RECOGNITION. This API is used to create an activity recognition barrier. When a user is in a specified activity state, the barrier status changes to true.

3. AwarenessBarrier.and(): The AwarenessBarrier.and() API is used to combine multiple barriers and perform the AND logic operation on barrier status to obtain the status of the combination barrier.
```

## License

```
HUAWEI Awareness Kit sample is licensed under the [Apache License, version 2.0](http://www.apache.org/licenses/LICENSE-2.0).
```

